## javax.xml.stream
Interface XMLEventReader

All Superinterfaces:
  java.util.Iterator

All Known Implementing Classes:
  EventReaderDelegate

public interface XMLEventReader
extends java.util.Iterator

Method Summary
`void` `close()`
`java.lang.String` `getElementText()`
`java.lang.Object` `getProperty(java.lang.String name)`
`boolean` `hasNext()`
`XMLEvent` `nextEvent()`
`XMLEvent` `nextTag()`
`XMLEvent` `peek()`

Methods inherited from interface java.util.Iterator
`next, remove`

Method Detail

### close

    public void close()
               throws XMLStreamException

### getElementText

    public java.lang.String getElementText()
                                    throws XMLStreamException

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws java.lang.IllegalArgumentException

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### nextEvent

    public XMLEvent nextEvent()
                       throws XMLStreamException

### nextTag

    public XMLEvent nextTag()
                     throws XMLStreamException

### peek

    public XMLEvent peek()
                  throws XMLStreamException

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.